curl -X PATCH "https://api.affonso.io/v1/program/restrictions" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"brand_bidding": false,
"incent": false,
"additional_restrictions": "No adult content"
}'
{
"success": true,
"data": {
"websites": true,
"social_marketing": true,
"organic_social": true,
"email_marketing": true,
"mobile_traffic": true,
"search_engine_marketing": false,
"organic_search": true,
"rebrokering": false,
"incent": false,
"brand_bidding": false,
"additional_restrictions": "No adult content"
}
}
Restrictions
Update Restrictions
Update allowed traffic sources and restrictions
PATCH
/
v1
/
program
/
restrictions
curl -X PATCH "https://api.affonso.io/v1/program/restrictions" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"brand_bidding": false,
"incent": false,
"additional_restrictions": "No adult content"
}'
{
"success": true,
"data": {
"websites": true,
"social_marketing": true,
"organic_social": true,
"email_marketing": true,
"mobile_traffic": true,
"search_engine_marketing": false,
"organic_search": true,
"rebrokering": false,
"incent": false,
"brand_bidding": false,
"additional_restrictions": "No adult content"
}
}
Update your program’s traffic source restrictions. All fields are optional. If no restrictions exist yet, they will be created.
Body Parameters
Response
Returns the updated restrictions object. Same structure as the Get Restrictions response.curl -X PATCH "https://api.affonso.io/v1/program/restrictions" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"brand_bidding": false,
"incent": false,
"additional_restrictions": "No adult content"
}'
{
"success": true,
"data": {
"websites": true,
"social_marketing": true,
"organic_social": true,
"email_marketing": true,
"mobile_traffic": true,
"search_engine_marketing": false,
"organic_search": true,
"rebrokering": false,
"incent": false,
"brand_bidding": false,
"additional_restrictions": "No adult content"
}
}
Was this page helpful?
